| xmonad-contrib-0.8.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Hooks.EwmhDesktops

Portability | unportable
Stability | unstable
Maintainer | Joachim Breitner <mail@joachim-breitner.de>

Contents

Usage

Description
Makes xmonad use the EWMH hints to tell panel applications about its workspaces and the windows therein. It also allows the user to interact with xmonad by clicking on panels and window lists.
Synopsis

data EwmhDesktopsHook
ewmhDesktopsLogHook :: X ()
ewmhDesktopsLogHookCustom :: ([WindowSpace] -> [WindowSpace]) -> X ()
ewmhDesktopsLayout :: layout a -> HandleEvent EwmhDesktopsHook layout a

Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

     import XMonad
     import XMonad.Hooks.EwmhDesktops

     myLogHook :: X ()
     myLogHook = ewmhDesktopsLogHook

     myLayoutHook = ewmhDesktopsLayout $ avoidStruts $ layoutHook defaultConfig

     main = xmonad defaultConfig { layoutHook = myLayouts, logHook = myLogHook }

avoidStruts is used to automatically leave space for dock programs, and can be found in XMonad.Hooks.ManageDocks.

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

data EwmhDesktopsHook | Source

Instances

Read EwmhDesktopsHook
Show EwmhDesktopsHook
EventHook EwmhDesktopsHook

ewmhDesktopsLogHook :: X () | Source

Notifies pagers and window lists, such as those in the gnome-panel of the current state of workspaces and windows.

ewmhDesktopsLogHookCustom :: ([WindowSpace] -> [WindowSpace]) -> X () | Source

Generalized version of ewmhDesktopsLogHook that allows an arbitrary user-specified function to transform the workspace list (post-sorting)

ewmhDesktopsLayout :: layout a -> HandleEvent EwmhDesktopsHook layout a | Source

Intercepts messages from pagers and similar applications and reacts on them. Currently supports:

- _NET_CURRENT_DESKTOP (switching desktops)
- _NET_WM_DESKTOP (move windows to other desktops)
- _NET_ACTIVE_WINDOW (activate another window, changing workspace if needed)

Produced by Haddock version 2.4.2